#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
#define f first
#define s second
#define ll long long

vector<int> solve(vector<int> in) {
    int n = in.size();
    vector<pair<int, int>> a(n);
    for(int i = 0; i < n; ++i) a[i] = {in[i], i};

    sort(a.begin(), a.end(), [](auto &a, auto &b) { return a > b; });
    vector<int> ans;
    for(int i = 0; i < n; ++i) ans.push_back(a[i].s);

    return ans;
}
